﻿@model  Select2ClientesViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-3")">

            @if (Model.verTituloGrpEco)
            {
                <label for="input-text-1">
                    <strong class="strong-min-tgv">Lj. Emissão Nota:</strong>
                </label>
            }

            @if (Model.verTitulo)
            {<label for="input-text-1">
                    <strong class="strong-min-tgv">Código Martins:</strong>
                </label>
            }
            else if (Model.verTituloGrpEco == false)
            {
                <label for="input-text-1">
                    <strong class="strong-min-tgv">&nbsp;</strong>
                </label>
            }
            <div class="mdl-textfield mdl-js-textfield">
                <input class="mdl-textfield__input numerico" maximo="8" type="text" id="@Model.idControleInput" placeholder="Código...">
                <label class="mdl-textfield__label" for="@Model.idControleInput"></label>
            </div>
        </div>

        <div class="@(Model.clasColCnpj != null ? Model.clasColCnpj : "col-md-3")">
            @if (Model.verTitulo)
            {
                <label for="input-text-1">
                    <strong class="strong-min-tgv">CNPJ:</strong>
                </label>
            }
            else
            {
                <label for="input-text-1">
                    <strong class="strong-min-tgv">&nbsp;</strong>
                </label>
            }
            <div class="mdl-textfield mdl-js-textfield">
                <input class="mdl-textfield__input cnpj" maximo="14" type="text" id="txtNumCgcCli" name="txtNumCgcCli" placeholder="Cnpj...">
                <label class="mdl-textfield__label" for="txtNumCgcCli"></label>
            </div>
        </div>

    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-6")" style="margin-top:-1px">
        @if (Model.verTitulo)
        {
            <label for="input-text-1">
                <strong class="strong-min-tgv">Razão Social:</strong>
            </label>
        }
        else
        {
            <label for="input-text-1">
                <strong class="strong-min-tgv">&nbsp;</strong>
            </label>
        }
        <div class="mdl-textfield mdl-js-textfield">
            <div id="@string.Concat(Model.idControleSelect2, "Container")" class="limparTooltipChange"></div>
            <label class="mdl-textfield__label" for="@Model.idControleInput"></label>
        </div>

    </div>
}
else
{
    <div class="campos-group">
        @if (Model.viewCode)
        {
            <input id="@Model.idControleInput" type="text" class="ctrl-filtro numerico" maximo="8" placeholder="Pesquisar Código..." />
            <i class="material-icons">more_vert</i>
        }
        <div id="@string.Concat(Model.idControleSelect2, "Container")" class="limparTooltipChange"></div>
    </div>
}

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2Clientes/ObterDescricoesClientes")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMCLI";
                textoInicial = "Razão Social...";
                jsonTexto = "NOMCLI";
                jsonValor = "CODCLI";
                caracteresMinimos = 3;
            };
            inicializar(null);
        };

        @if (Model.viewCode)
        {
            <text>
            $("#@Model.idControleInput").change(function () {
                if ($(this).val().length > 0 && $(this).val() != 0) {
                    //
                    with (new ComponenteAJAXFactory()) {
                        with (modelo) {
                            ajaxSuccessCallbackMethod = function (data) {
                                var bEach = false;
                                $(data).each(function (idx, dat) {
                                    bEach = true;
                                    $("#@Model.idControleSelect2").select2("trigger", "select", {
                                        data: { id: dat.CODCLI, text: dat.NOMCLI }
                                    });
                                    return;
                                });
                                if (!bEach) {
                                    swal('Verificar!', 'Cliente não encontrado!');
                                    setCustomIcon('fa fa-window-close');
                                    $("#@Model.idControleInput").val('');
                                    $("#@Model.idControleSelect2").empty().change();
                                }
                            };
                            ajaxURL = '@Url.Content("~/api/Select2Clientes/ObterCodigosClientes")';
                            async = true;
                            with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODCLI", tipoJsonEnviar = 'tipoNumerico' };
                        }
                        inicializar(null);
                    }
                    //
                }
            });
        </text>
        }
    });

</script>